-- ============================================================
-- Table: LOCALENTRCLIENTE
-- ============================================================
CREATE TABLE LOCALENTRCLIENTE
(
NRLOCALENTRCLIENTE NUMBER NOT NULL,
DSLOCALENTRCLIENTE VARCHAR2(30) NOT NULL,
CDCLIENTE VARCHAR2(21) NOT NULL,
DSENDELOCALENTR VARCHAR2(50) NULL,
DSCOMPENDELOCENTR VARCHAR2(200) NULL,
CDPAIS VARCHAR2(4) NOT NULL,
SGESTADO VARCHAR2(2) NOT NULL,
CDMUNICIPIO VARCHAR2(4) NOT NULL,
NMBAIRLOCALENTR VARCHAR2(50) NULL,
NRCEPLOCALENTR VARCHAR2(15) NULL,
NMCONTATOLOCALENTR VARCHAR2(30) NULL,
NRTELELOCALENTR VARCHAR2(25) NULL,
NRRAMALLOCALENTR VARCHAR2(4) NULL,
DSEMAILLOCALENTR VARCHAR2(50) NULL,
NRCELULARLOCALENTR VARCHAR2(25) NULL,
NRFAXLOCALENTR VARCHAR2(25) NULL,
NRTELEXLOCALENTR VARCHAR2(25) NULL,
NRORG NUMBER DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
IDATIVO VARCHAR2(1) DEFAULT 'S' NOT NULL
CONSTRAINT CKC_IDATIVO_LOCENTRCLI CHECK (IDATIVO IN ('S','N')),
DTINCLUSAO DATE NULL,
DTULTATU DATE NULL,
NRORGINCLUSAO NUMBER DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NULL,
CDOPERINCLUSAO VARCHAR2(12) DEFAULT '1' NULL,
NRORGULTATU NUMBER DEFAULT 1 NULL,
CDOPERULTATU VARCHAR2(12) DEFAULT '1',
CONSTRAINT PK_NRLOCALENTRCLIENTE PRIMARY KEY (NRLOCALENTRCLIENTE),
CONSTRAINT FKPED00445_CLIENTE FOREIGN KEY (CDCLIENTE)
REFERENCES CLIENTE (CDCLIENTE),
CONSTRAINT FKPED00446_PAIS FOREIGN KEY (CDPAIS)
REFERENCES PAIS (CDPAIS),
CONSTRAINT FKPED00447_ESTADO FOREIGN KEY (CDPAIS, SGESTADO)
REFERENCES ESTADO (CDPAIS, SGESTADO),
CONSTRAINT FKPED00448_MUNICIPIO FOREIGN KEY (CDPAIS, SGESTADO, CDMUNICIPIO)
REFERENCES MUNICIPIO (CDPAIS, SGESTADO, CDMUNICIPIO)
)
/

CREATE INDEX PED00445_FK ON LOCALENTRCLIENTE (CDCLIENTE ASC)
/

CREATE INDEX PED00446_FK ON LOCALENTRCLIENTE (CDPAIS ASC)
/

CREATE INDEX PED00447_FK ON LOCALENTRCLIENTE (CDPAIS ASC, SGESTADO ASC)
/

CREATE INDEX PED00448_FK ON LOCALENTRCLIENTE (CDPAIS ASC, SGESTADO ASC, CDMUNICIPIO ASC)
/