<?php

namespace Teknisa\Libs\Exception;

use Teknisa\Libs\Util\Messages;

class Login {
    public static function invalidADCredentials() {
        throw new \Exception(Messages::ERR_INVALID_AD_CREDENTIALS, 1);
    }

    public static function notConnectAD() {
        throw new \Exception(Messages::ERR_CONNECT_AD, 2);
    }

    public static function notUpdatePasswordAD() {
        throw new \Exception(Messages::ERR_UPDATE_PASSWORD_AD, 3);
    }

    public static function userNotFoundAD() {
        throw new \Exception(Messages::ERR_NOT_FOUND_USER_AD, 4);
    }

    public static function menuConfigNotFound() {
        throw new \Exception(Messages::ERR_NOT_FOUND_MENU_CONFIG, 5);
    }

    public static function modulesConfigNotFound() {
        throw new \Exception(Messages::ERR_NOT_FOUND_MODULES_CONFIG, 6);
    }

    public static function aclStructNotFound() {
        throw new \Exception(Messages::ERR_NOT_FOUND_ACL_STRUCT, 7);
    }

    public static function containersNotFound() {
        throw new \Exception(Messages::ERR_NOT_FOUND_CONTAINERS, 8);
    }

    public static function bowerConfigModuleNotFound($bowersNotFound) {
        throw new \Exception(str_replace('%1', $bowersNotFound, Messages::ERR_NOT_FOUND_BOWER_CONFIG), 9);
    }

    public static function moduleParametersNotFound($modulesParametersNotFound) {
        throw new \Exception(str_replace('%1', $modulesParametersNotFound, Messages::ERR_NOT_FOUND_MODULES_PARAMETERS), 10);
    }

    public static function ldapLogonNotPermitedTime() {
        throw new \Exception(Messages::LDAP_LOGON_NOT_PERMITED_TIME, 11);
    }

    public static function ldapLogonNotPermitedMachine() {
        throw new \Exception(Messages::LDAP_LOGON_NOT_PERMITED_MACHINE, 12);
    }

    public static function ldapPasswordExpired() {
        throw new \Exception(Messages::LDAP_PASSWORD_EXPIRED, 13);
    }

    public static function ldapAccountDisabled() {
        throw new \Exception(Messages::LDAP_ACCOUNT_DISABLED, 14);
    }

    public static function ldapAccountExpired() {
        throw new \Exception(Messages::LDAP_ACCOUNT_EXPIRED, 15);
    }

    public static function ldapAccountLocked() {
        throw new \Exception(Messages::LDAP_ACCOUNT_LOCKED, 16);
    }

    public static function ldapUserMustResetPassword() {
        throw new \Exception(Messages::LDAP_USER_MUST_RESET_PASSWORD, 17);
    }
} 