<?php
namespace tests\Zeedhi\Framework\ORM;

use Zeedhi\Framework\ORM\ConnectionFactory;

class ConnectionFactoryTest extends \PHPUnit_Framework_TestCase {


    public function testEncryptAndDecrypt(){
        $originalString = 'originalString';
        $encryptedString = ConnectionFactory::encrypt($originalString);
        $decryptedString = ConnectionFactory::decrypt($encryptedString);
        $this->assertEquals($originalString, $decryptedString, 'Decrypted string must be the equal to original string.');
    }

    public function testFactory() {
        $connection = ConnectionFactory::factoryWithEncryptedPassword(array(
            'driver'    => 'oci8',
            'user'      => 'ZEEDHI_HR',
            'password'  => 'Qp8vye6HmLrtrR0Ss8LT/3/uDSLwVTO3JKqTJEJQ1Pk=',
            'host'      => '192.168.122.5',
            'port'      => '1521',
            'dbname'    => 'pdborcl',
            'service'   => true
        ));

        $this->assertInstanceOf('\\Doctrine\\DBAL\\Connection', $connection);
        $column = $connection->fetchColumn('SELECT 1 FROM DUAL');
        $this->assertEquals('1', $column);
    }

}
